/* $RCSfile$ */
/* $Author$ */
/* $Date$ */
/* $Revision$ */


struct L2SisHskp
{
   uint32 ClockCycle;
   uint32 Second1996;
   uint32 microsecond;
   uint16 MonitorP4V;               /* V    */
   uint16 MonitorP5V;               /* V    */
   uint16 MonitorP7V;               /* V    */
   uint16 MonitorM7V;               /* V    */
   uint16 MonitorP13V;              /* V    */
   uint16 MonitorM13V;              /* V    */
   uint16 MonitorP19V;              /* V    */
   uint16 MonitorCurrentA;          /* ?A   */
   uint16 MonitorCurrentB;          /* ?A   */
   uint16 TemperatureMotherBoard;   /* DegC */
   uint16 TemperatureAnalogBoard;   /* DegC */
   uint16 TemperaturePostRegBoard;  /* DegC */
   uint16 TemperatureLogicBoard;    /* DegC */
   uint16 TemperatureLvpsBoard;     /* DegC */
   uint16 TemperatureHvpsBoard;     /* DegC */
   uint16 TemperatureM1aBoard;      /* DegC */
   uint16 TemperatureM2bBoard;      /* DegC */
   uint16 TemperatureT12aBoard;     /* DegC */
   uint16 TemperatureT34aBoard;     /* DegC */
   uint16 TemperatureT56aBoard;     /* DegC */
   uint16 TemperatureT78aBoard;     /* DegC */
   uint16 TemperatureT12bBoard;     /* DegC */
   uint16 TemperatureT34bBoard;     /* DegC */
   uint16 TemperatureT56bBoard;     /* DegC */
   uint16 TemperatureT78bBoard;     /* DegC */
   uint16 LeakageCurrentT1a;        /* uA   */
   uint16 LeakageCurrentT2a;        /* uA   */
   uint16 LeakageCurrentT3a;        /* uA   */
   uint16 LeakageCurrentT4a;        /* uA   */
   uint16 LeakageCurrentT5a;        /* uA   */
   uint16 LeakageCurrentT6a;        /* uA   */
   uint16 LeakageCurrentT7a;        /* uA   */
   uint16 LeakageCurrentT8a;        /* uA   */
   uint16 LeakageCurrentT1b;        /* uA   */
   uint16 LeakageCurrentT2b;        /* uA   */
   uint16 LeakageCurrentT3b;        /* uA   */
   uint16 LeakageCurrentT4b;        /* uA   */
   uint16 LeakageCurrentT5b;        /* uA   */
   uint16 LeakageCurrentT6b;        /* uA   */
   uint16 LeakageCurrentT7b;        /* uA   */
   uint16 LeakageCurrentT8b;        /* uA   */
   uint8  QualityMonitorP4V;
   uint8  QualityMonitorP5V;
   uint8  QualityMonitorP7V;
   uint8  QualityMonitorM7V;
   uint8  QualityMonitorP13V;
   uint8  QualityMonitorM13V;
   uint8  QualityMonitorP19V;
   uint8  QualityMonitorCurrentA;
   uint8  QualityMonitorCurrentB;
   uint8  QualityTemperatureMotherBoard;
   uint8  QualityTemperatureAnalogBoard;
   uint8  QualityTemperaturePostRegBoard;
   uint8  QualityTemperatureLogicBoard;
   uint8  QualityTemperatureLvpsBoard;
   uint8  QualityTemperatureHvpsBoard;
   uint8  QualityTemperatureM1aBoard;
   uint8  QualityTemperatureM2bBoard;
   uint8  QualityTemperatureT12aBoard;
   uint8  QualityTemperatureT34aBoard;
   uint8  QualityTemperatureT56aBoard;
   uint8  QualityTemperatureT78aBoard;
   uint8  QualityTemperatureT12bBoard;
   uint8  QualityTemperatureT34bBoard;
   uint8  QualityTemperatureT56bBoard;
   uint8  QualityTemperatureT78bBoard;
   uint8  QualityPostDcT1a;
   uint8  QualityPostDcT2a;
   uint8  QualityPostDcT3a;
   uint8  QualityPostDcT4a;
   uint8  QualityPostDcT5a;
   uint8  QualityPostDcT6a;
   uint8  QualityPostDcT7a;
   uint8  QualityPostDcT8a;
   uint8  QualityPostDcT1b;
   uint8  QualityPostDcT2b;
   uint8  QualityPostDcT3b;
   uint8  QualityPostDcT4b;
   uint8  QualityPostDcT5b;
   uint8  QualityPostDcT6b;
   uint8  QualityPostDcT7b;
   uint8  QualityPostDcT8b;
};


/* Definition:                                                       */
/*    ClockCycle = S/C clock of the first minor frame of the cycle   */
/*                                                                   */
/* Note: Quality bits are defined in the table below.  If the field  */
/*       which the quality byte is trying to characterize contains   */
/*       multiple bytes, the quality byte associated with the field  */
/*       is the logical "or" of the individual quality bytes.        */
/*                                                                   */
/* Quality bits:                                                     */
/*    0x01 = Format ID error                                         */
/*    0x02 = Minor/major counter error                               */
/*    0x04 = S/C clock error                                         */
/*    0x08 = Sync bit error                                          */
/*    0x10 = Command table index error                               */
/*    0x20 = Cycle number error                                      */
/*    0x40 = Level 0 quality bit                                     */
/*    0x80 = Level 1 quality bit                                     */
